Riferimento API
Elimina un'assegnazione di guardrail
Rimuove un guardrail dalla sua Chiave API o dal destinatario membro dell'account.
Rimuove un guardrail dalla sua Chiave API o dal destinatario membro dell’account.
Endpoint
- URL di base
https://runapi.ai- Versione API
v1- Autenticazione
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
Corpo JSONRichiesta
Invia i valori solo nella posizione di richiesta elencata.
Parametri del percorso1 campo
idstring
Obbligatorio
ID prefisso dell'assegnazione Guardrail.
03
HTTP 204Risposta di successo
DELETE /api/v1/guardrail_assignments/:id
Questa risposta non ha corpo.
04
HTTP 401Risposta di errore (401)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Authentication required"
}
05
HTTP 403Risposta di errore (403)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Management API key required"
}
06
HTTP 403Risposta di errore (403)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Forbidden"
}
07
HTTP 404Risposta di errore (404)
Schema della risposta
JSON
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
JSON
{
"error": "Resource not found"
}
08
Esempio cURL
CURL
curl -X DELETE https://runapi.ai/api/v1/guardrail_assignments/guardrail_assignment_123 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'